Bug 483074 - Review Request: perl-Exception-Base - Lightweight exceptions
Summary: Review Request: perl-Exception-Base - Lightweight exceptions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-29 16:07 UTC by Allisson Azevedo
Modified: 2010-05-13 22:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-02 01:03:12 UTC
wolfy: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Allisson Azevedo 2009-01-29 16:07:18 UTC
Spec URL: http://allisson.fedorapeople.org/packages/perl-Exception-Base/perl-Exception-Base.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-Exception-Base/perl-Exception-Base-0.21-1.fc10.src.rpm

Description: This class implements a fully OO exception mechanism similar to
Exception::Class or Class::Throwable. It provides a simple interface
allowing programmers to declare exception classes. These classes can be
thrown and caught. Each uncaught exception prints full stack trace if the
default verbosity is uppered for debugging purposes.

Comment 1 manuel wolfshant 2009-01-30 02:21:01 UTC
cannot mock build for the moment, due to 
ERROR: Command failed:
 # /usr/bin/yum --installroot /var/lib/mock/fedora-development-x86_64/root/  update
http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/repodata/fdb56d145701684596fd7c0a370d99c84e802069ce23185690311f0027de44e4-primary.sqlite.bz2: [Errno -3] Error performing checksum
Trying other mirror.
Error: failure: repodata/fdb56d145701684596fd7c0a370d99c84e802069ce23185690311f0027de44e4-primary.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.

Comment 2 manuel wolfshant 2009-01-30 11:25:47 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 7325048b213204c8aab7fef0886e2ce517e43600  Exception-Base-0.21.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] make check passes

======
Notes
======
Please drop the perl >= 0:5.006 line. It's been ages since Fedora and RHEL are shipping much newer versions. Not to mention that during build, perl is brought in anyway by perl(Module::Build) and for runtime you have the perl(MODULE_COMPAT) line.

================
*** APPROVED ***
================

Comment 3 Allisson Azevedo 2009-01-30 12:20:08 UTC
New Package CVS Request
=======================
Package Name: perl-Exception-Base
Short Description: Lightweight exceptions
Owners: allisson
Branches: F-9 F-10

Comment 4 Kevin Fenzi 2009-02-01 18:49:02 UTC
cvs done.

Comment 5 Emmanuel Seyman 2010-05-13 19:39:40 UTC
I'm adding perl-sig to InitialCC.

Package Change Request
======================
Package Name: perl-Exception-Base
Owners: eseyman
InitialCC: perl-sig

Comment 6 Dennis Gilmore 2010-05-13 22:49:57 UTC
CVS Done


Note You need to log in before you can comment on or make changes to this bug.